Name:           glite-lbjp-common-server-bones
Version:        2.3.11
Release:        1%{?dist}
Summary:        Skeleton of multi-process network server

License:        ASL 2.0
URL:            http://glite.cern.ch
Source:         http://scientific.zcu.cz/emi/emi.lbjp-common.server-bones/%{name}-%{version}.tar.gz

BuildRequires:  glite-lbjp-common-log-devel
BuildRequires:  libtool
BuildRequires:  perl
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(POSIX)

%description
The multi-process network server. A server listening on multiple ports, passing
inbound requests to slaves and maintaining connections to specific slaves if
possible. The library provides callback handles on connection initialization,
incoming request, etc.


%package        devel
Summary:        Development files for gLite L&B/JP common server-bones
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains development libraries and header files for gLite L&B/JP
common server-bones.


%prep
%setup -q


%build
perl ./configure --root=/ --prefix=%{_prefix} --libdir=%{_lib}
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make %{?_smp_mflags}


%check
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make check


%install
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/*.la


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%doc ChangeLog LICENSE
%{_libdir}/libglite_lbu_server_bones.so.2
%{_libdir}/libglite_lbu_server_bones.so.2.*

%files devel
%dir %{_includedir}/glite
%dir %{_includedir}/glite/lbu
%{_includedir}/glite/lbu/srvbones.h
%{_libdir}/libglite_lbu_server_bones.so


%changelog
* Thu Jun 26 2014 František Dvořák <valtri@civ.zcu.cz> - 2.3.11-1
- New release 2.3.11 (L&B 4.1.2)
- Consistent style with buildroot macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat May 31 2014 František Dvořák <valtri@civ.zcu.cz> - 2.3.10-1
- New release 2.3.10 (L&B 4.1.1)

* Sat Nov 23 2013 František Dvořák <valtri@civ.zcu.cz> - 2.3.9-1
- Initial package
